@import url("./modules/cards/card-noticias.css");
/*Sección presentación*/
.presentation {
  display: flex;
  flex-direction: column;
  align-items: center;
  margin: 24px auto;
  max-width: 950px;
  height: auto;
  gap: 24px;
  padding: 0 10px;
}
.presentation-title {
  font-size: 2.0rem;
  text-align: center;
}
.presentation-text {
  font-size: 1.6rem;
  text-align: center;
}

/*Sección imagen*/
.section-img {
  display: flex;
  align-items: center;
  justify-content: center;
  position: relative;
  margin: 32px auto;
  width: 299px;
  height: 237px;
}
.img {
  width: 300px;
  height: auto;
}
.hero-image {
  width: 250px;
  height: auto;
  position: relative;
  z-index: 1;
  border-radius: 20px;
}
.background-svg {
  position: absolute;
  z-index: 0;
  width: 299px;
  height: 237px;
}

/*Sección mission-statement*/
.mission-statement {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 24px;
  width: 100%;
  height: 580px;
  padding: 75px;
  margin-top: px;
  background-color: #F7B733;
}
.mission-text {
  width: 300px;
  height: 243px;
  background-color: #305E57;
  color: #DFDCE3;
  padding: 20px;
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 20px;
}
.mission-text .mission-text__p {
  text-align: center;
  font-size: 1.6rem;
}
.mission-image {
  width: 300px;
  height: auto;
}
.mission-image img {
  width: 100%;
  height: auto;
}
/*Sección news*/
.news {
  display: flex;
  flex-direction: column;
  margin-top: 100px;
}
.news-title {
  font-size: 2.4rem;
  text-align: center;
  margin-bottom: 32px;
}

/*Sección Impact*/
.impact {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  width: 100%;
  height: 900px;
  gap: 32px;
  margin: 0 auto;
  max-width: 950px;
  padding: 0 10px;
}
.impact-title {
  font-size: 2.4rem;
  text-align: center;
  margin-bottom: 32px;
}
.impact-content {
  display: flex;
  flex-direction: column;
  gap: 32px;
}
@keyframes sequentialHover {
  0%, 33.3%, 100% {
    border-radius: 50%;
    transform: scale(1);
  }
  16.65% {
    border-radius: 30px;
    transform: scale(1.05);
  }
}

.impact-item {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  width: 200px;
  height: 200px;
  flex-shrink: 0;
  border-radius: 50%;
  background: #F7B733;
  transition: all 0.5s ease-in-out;
}

.impact-item:nth-child(1) {
  animation: sequentialHover 6.5s ease-in-out infinite;
}

.impact-item:nth-child(2) {
  animation: sequentialHover 6.5s ease-in-out infinite;
  animation-delay: -5s;
}

.impact-item:nth-child(3) {
  animation: sequentialHover 6.5s ease-in-out infinite;
  animation-delay: -3.5s;
}

.impact-item__title, .impact-item__text {
  font-size: 2.4rem;
  text-align: center;
  color: #305E57;
}

.impact-item__title {
  font-weight: bold;
}

.impact-item:hover {
  border-radius: 30px;
}
/*--------------------------------*/
/*Sección de Call To Action*/
.call-to-action {
  text-align: center;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  margin: 50px auto;
}

.call-to-action-content {
  background-color: #FDFCDC;
  width: 300px;
  height: 250px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  border-radius: 25px;
  margin: 0 auto
}

.call-to-action-title, 
.call-to-action-text {
  color: #305E57;
  margin: 0;
  width: 100%;
}

.call-to-action-title {
  font-size: 2.0rem;
  margin-bottom: 10px;
}

.call-to-action-text {
  font-size: 1.6rem;
  margin-bottom: 10px;
}

/*-----secction location-----*/
.location-title {
  font-size: 2.4rem;
  text-align: center;
  margin-bottom: 32px;
}

@media (min-width: 850px) {
  main {
    margin: 0 auto;
  }
  .presentation {
    height: 367px;
  }
  .presentation-title {
    font-size: 4.8rem;
  }
  .presentation-text {
    font-size: 2.4rem;
  }
  .presentation img {
    width: 600px;
  }
  .section-img {
    width: 950px;
    height: 800px;
  }
  
  .hero-image {
    width: 710px;
    height: auto;
    position: relative;
    z-index: 1;
    border-radius: 20px;
  }
  .background-svg {
    position: absolute;
    z-index: 0;
    width: 935px;
    height: 744px;
  }
  /*Section mission-statement*/
  .mission-statement {
    flex-direction: row;
    gap: 80px;
    width: 100%;
    height: 551px;
    padding: 75px;
    background-color: #F7B733;
  }
  .mission-text {
    width: 700px;
    height: 474px;
  }
  .mission-text .mission-text__p{
    width: 600px;
    height: auto;
    font-size: 3.2rem;
  }
  .mission-image {
    width: 430px;
    height: auto;
  }
  .mission-image img {
    width: 100%;
    height: auto;
  }
  /*Sección news*/
  .news {
    margin-top: 100px;
  }
  .news-title {
    font-size: 4.0rem;
  }
/*--------------------------------*/
/*Sección Impact*/
  .impact {
    gap: 40px;
    height: 723px;
  }
  .impact-title {
    font-size: 4.0rem;
  }
  .impact-content {
    flex-direction: row;
    gap: 50px;
  }
  .impact-item {
    width: 332px;
    height: 332px;
   }
   
   .impact-item__title, .impact-item__text {
    font-size: 3.2rem;
   }
   .impact-item__title {
    font-weight: bold;
   }
   .impact-item:hover {
    border-radius: 30px;
   }
/*--------------------------------*/
   /*Sección de Call To Action*/
   .call-to-action {
    width: 1105px;
    height: 215px;
    padding: 30px;
    margin: 100px auto;
  }
  .call-to-action-content {
    width: 1105px;
    height: 215px;
    padding: 30px;
  }
  .call-to-action-title {
    font-size: 4.0rem;
    margin-bottom: 15px;
  }
  .call-to-action-text {
    font-size: 2.0rem;
    margin-bottom: 15px;
  }
  .call-to-action .boton-donaciones:hover {
      background-color: #FFC107;
  }
  /*-----secction location-----*/
.location-title {
  font-size: 4.0rem;
  text-align: center;
  margin-bottom: 32px;
}
}

